homeassistant:
  name: Home
  internal_url: !secret url_internal
  external_url: !secret url_external
  latitude: !secret home_lat
  longitude: !secret home_long
  elevation: !secret home_elevation
  unit_system: metric
  time_zone: Europe/Berlin
  customize: !include_dir_merge_named config/customizations/
  auth_providers:
    - type: homeassistant
    - type: trusted_networks
      trusted_networks:
        - 127.0.0.1
        - ::1
        - 192.168.0.0/16
        - fd00::/8
  # landroid
  packages: !include_dir_named packages

config:
conversation:
dhcp:
history:
logbook:
map:
mobile_app:
recorder:
sun:
stream:
system_health:
updater:
shopping_list:

http:
  ip_ban_enabled: true
  login_attempts_threshold: 5
  use_x_forwarded_for: true
  trusted_proxies:
    - 127.0.0.1
    - ::1
    # traefik.web
    - 172.19.0.0/24

lovelace:
  mode: yaml
  resources:
    - url: /local/lovelace/custom/weather-card/weather-card.js
      type: module
    - url: /local/lovelace/custom/vacuum-card/vacuum-card.js
      type: module
    - url: /local/lovelace/custom/auto-entities/auto-entities.js
      type: module
    - url: /local/lovelace/custom/color-lite-card/color-lite-card.js
      type: module
    - url: /local/lovelace/custom/now-playing-card/now-playing-card.js
      type: module
    - url: /local/lovelace/custom/battery-state-card/battery-state-card.js
      type: module

tts:
  - platform: google_translate
    service_name: google_say

zha:
  database_path: /config/zigbee.db

mqtt:
  broker: !secret mqtt_broker_ip
  username: !secret mqtt_username
  password: !secret mqtt_password

mqtt_eventstream:
  publish_topic: homeassistant/master
  subscribe_topic: homeassistant-slaves/#
  ignore_event:
    - call_service
    - state_changed

telegram_bot:
    - platform: broadcast
      api_key: !secret telegram_bot
      parse_mode: markdown
      allowed_chat_ids:
        - !secret telegram_chat_fb
        - !secret telegram_chat_group

notify:
  - name: telegram_group
    platform: telegram
    chat_id: !secret telegram_chat_group
  - name: telegram_fb
    platform: telegram
    chat_id: !secret telegram_chat_fb
  - platform: command_line
    name: alexa_all
    command: "/config/alexa_wrapper.sh -d 'ALL'"

person:
  - name: Jenny
    id: jenny
    user_id: !secret userId_jenny
    device_trackers:
      - device_tracker.sm_g985f
  - name: Florian
    id: florian
    user_id: !secret userId_florian
    device_trackers:
      - device_tracker.pixely

zone:
  - name: !secret work_f_name
    latitude: !secret work_f_lat
    longitude: !secret work_f_lng
    radius: 250
    icon: mdi:briefcase
  - name: !secret work_j_name
    latitude: !secret work_j_lat
    longitude: !secret work_j_lng
    radius: 500
    icon: mdi:briefcase
  - name: !secret shopping_1_name
    latitude: !secret shopping_1_lat
    longitude: !secret shopping_1_lng
    radius: 250
    icon: fas:shopping-basket
  - name: !secret shopping_2_name
    latitude: !secret shopping_2_lat
    longitude: !secret shopping_2_lng
    radius: 250
    icon: fas:shopping-basket

ffmpeg:
  ffmpeg_bin: /usr/bin/ffmpeg

input_datetime:
  bedroom_alarm_clock_time:
      name: Wecker
      has_date: false
      has_time: true

input_number:
  instagram_counter_brightness:
    name: Instagram Counter Brightness
    initial: 15
    min: 0
    max: 15
    step: 1

input_boolean:
  onair_lamp_recording:
    name: onAir Recording Status
    initial: false

alarm_control_panel:
  - platform: manual
    name: Home Alarm
    code: !secret alarm_code
    code_arm_required: true
    delay_time: 20
    arming_time: 30
    trigger_time: 120
    disarm_after_trigger: false
    disarmed:
      trigger_time: 0
    armed_home:
      arming_time: 0
      delay_time: 0
    armed_night:
      arming_time: 0
      delay_time: 0

shell_command:
  ssh: 'ssh -o "StrictHostKeyChecking=no" -i {{ sshkey }} {{ host }} -l {{ user }} -p {{ port }} {{ command_or_param }}'

rest_command:
  instagram_counter_brightness:
    url: !secret url_instagram_counter_brightness
    method: GET
    payload: 'value={{ value }}'
  shinobi_monitorstates:
    url: "https://{{ host }}/{{ apikey }}/monitorStates/{{ group }}/{{ preset_name }}"

panel_iframe:
  chronograf:
    title: 'Chronograf'
    url: !secret url_chronograf
    icon: mdi:monitor-dashboard
  esphome:
    title: 'ESPHome'
    url: !secret url_esphome
    icon: mdi:chip

spotify:
  client_id: !secret spotify_client_id
  client_secret: !secret spotify_client_secret

fontawesome:
  regular:
  solid:
  brands:

# External config files
alexa: !include config/alexa.yaml
google_assistant: !include config/google_assistant.yaml

frontend:
  themes: !include_dir_merge_named themes/

alert: !include_dir_merge_named config/alerts/
automation: !include_dir_merge_list config/automations/
binary_sensor: !include_dir_merge_list config/sensors_binary/
camera: !include config/cameras.yaml
influxdb: !include config/influxdb.yaml
light: !include config/lights.yaml
scene: !include_dir_merge_list config/scenes/
script: !include_dir_merge_named config/scripts/
sensor: !include_dir_merge_list config/sensors/
switch: !include_dir_merge_list config/switches/